be.ehealth.businessconnector.consultrn.session.impl

## Class ConsultrnSessionServiceImpl

- java.lang.Object
- - be.ehealth.businessconnector.consultrn.session.impl.ConsultrnSessionServiceImpl

- All Implemented Interfaces:
    ConsultrnService

      public class ConsultrnSessionServiceImpl
      extends Object
      implements ConsultrnService

  Implementation of `ConsultrnService`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultrnSessionServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RegisterPersonResponse` | `registerPerson(RegisterPersonRequest request)`
    `SearchBySSINReply` | `search(SearchBySSINRequest request)`
    `SearchPhoneticReply` | `search(SearchPhoneticRequest request)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultrnSessionServiceImpl

          public ConsultrnSessionServiceImpl(SessionValidator sessionValidator,
                                             EhealthReplyValidator replyValidator)

  - ### Method Detail

    - #### search

          public SearchBySSINReply search(SearchBySSINRequest request)
                                   throws ConsultrnIdentifyPersonException,
                                          TechnicalConnectorException

      Specified by:
        `search` in interface `ConsultrnService`
      Throws:
        `ConsultrnIdentifyPersonException`
        `TechnicalConnectorException`

    - #### search

          public SearchPhoneticReply search(SearchPhoneticRequest request)
                                     throws ConsultrnPhoneticSearchException,
                                            TechnicalConnectorException

      Specified by:
        `search` in interface `ConsultrnService`
      Throws:
        `ConsultrnPhoneticSearchException`
        `TechnicalConnectorException`

    - #### registerPerson

          public RegisterPersonResponse registerPerson(RegisterPersonRequest request)
                                                throws ConsultrnRegisterPersonException,
                                                       TechnicalConnectorException,
                                                       ConsultrnRegisterExistingPersonException

      Specified by:
        `registerPerson` in interface `ConsultrnService`
      Throws:
        `ConsultrnRegisterPersonException`
        `TechnicalConnectorException`
        `ConsultrnRegisterExistingPersonException`

Connector Packaging PERSPRACTICALNURSE 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.